Bug 222249 - evolution kills imap connection
evolution kills imap connection
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
6
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-10 20:35 EST by David Woodhouse
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-11 09:27:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2007-01-10 20:35:32 EST
When running with CAMEL_VERBOSE_DEBUG=1 I noticed something that may be
contributing heavily to Evolution's IMAP performance problems -- it seems to
kill its connection to the server for no good reason, at times.

On this occasion I'd just changed folder, then pressed ']' a dozen or so times
to select every new mail in the folder in turn. After doing this, I generally
run pine to read the first couple of mails, after which Evolution has started
talking to me again and I can read the rest.

I noticed that it was killing its connection to the IMAP server, as shown below...

<--
received: )
received: B00040 OK Fetch completed.
CamelException.setv((nil), 2, 'Failed to cache 1: No such file or directory')
sending : B00041 UID FETCH 45837 BODY.PEEK[1]
Thread 3acb64a0 >
CamelFolder:get_message('INBOX', '45838') =
class: CamelMimeMessage
mime-type: text/plain
content class: CamelDataWrapper
content mime-type: text/plain
< 3acb64a0 >
CamelException.set((nil), 3, 'Operation cancelled')
Process stream close. sockfd 78, childpid 1402
waitpid() for pid 1402 returned 0 (errno 0)
Sending SIGTERM to pid 1402
waitpid() for pid 1402 returned 0 (errno 0)
Killed by signal 15.
waitpid() for pid 1402 returned 1402 (errno 0)
Process stream close. sockfd -1, childpid 0
Process stream close. sockfd -1, childpid 0
CamelException.setv((nil), 2, 'Failed to cache : No such file or directory')
camel-Message: ++
Could not chdir to home directory /home/devel/dwmw2: No such file or directory
received: * PREAUTH [CAPABILITY IMAP4rev1 SORT THREAD=REFERENCES MULTIAPPEND
UNSELECT LITERAL+ IDLE CHILDREN LISTEXT LIST-SUBSCRIBED] Logged in as dwmw2
Comment 1 David Woodhouse 2007-01-11 09:28:20 EST
I just watched it do it again, on a different server. 

sending : A00092 SELECT INBOX
Thread 344574a0 >
CamelStore('imap://dwmw2@baythorne.infradead.org/;use_ssl=always;use_command;command=ssh%20-a%20-x%20-C%20baythorne.infradead.org%20exec%20/home/dwmw2/bin/dovecot-imap.sh;check_subscribed'):get_folder('lists/ibus',
0) = 0x35919a98
< 344574a0 >
received: * FLAGS (\Answered \Flagged \Deleted \Seen \Draft Junk $Label1 $Label2
$Label3 $Label4 $Label5)
received: * OK [PERMANENTFLAGS (\Answered \Flagged \Deleted \Seen \Draft Junk
$Label1 $Label2 $Label3 $Label4 $Label5 \*)] Flags permitted.
received: * 703 EXISTS
received: * 0 RECENT
received: * OK [UNSEEN 698] First unseen.
received: * OK [UIDVALIDITY 1154089803] UIDs valid
received: * OK [UIDNEXT 13874] Predicted next UID
received: A00092 OK [READ-WRITE] Select completed.
sending : A00093 FETCH 703 UID
received: * 703 FETCH (UID 13873)
received: A00093 OK Fetch completed.
sending : A00094 UID STORE 13868 FLAGS.SILENT (\Seen)
received: A00094 OK Store completed.
sending : A00095 UID STORE 13869:13873 FLAGS.SILENT (\Deleted \Seen)
received: A00095 OK Store completed.
sending : A00096 UID FETCH 13873 BODY.PEEK[1]
CamelException.set((nil), 3, 'Operation cancelled')
Process stream close. sockfd 28, childpid 24724
waitpid() for pid 24724 returned 0 (errno 0)
Sending SIGTERM to pid 24724
waitpid() for pid 24724 returned 0 (errno 0)
Killed by signal 15.
waitpid() for pid 24724 returned 24724 (errno 0)
Process stream close. sockfd -1, childpid 0
Process stream close. sockfd -1, childpid 0
CamelException.setv((nil), 2, 'Failed to cache 2.1: No such file or directory')
received: * PREAUTH [CAPABILITY IMAP4rev1 SASL-IR SORT THREAD=REFERENCES
MULTIAPPEND UNSELECT LITERAL+ IDLE CHILDREN NAMESPACE LOGIN-REFERRALS] Logged in
as dwmw2
sending : A00000 CAPABILITY
received: * CAPABILITY IMAP4rev1 SASL-IR SORT THREAD=REFERENCES MULTIAPPEND
UNSELECT LITERAL+ IDLE CHILDREN NAMESPACE LOGIN-REFERRALS
received: A00000 OK Capability completed.
Server baythorne.infradead.org has preauthenticated us.
sending : A00001 NAMESPACE
received: * NAMESPACE (("" ".")) NIL NIL
Comment 2 Matthew Barnes 2007-11-07 22:31:24 EST
Any idea if this is still occurring in more recent Fedora releases?  I'm trying
to clear out my Fedora Core 6 bug list.
Comment 3 Matěj Cepl 2007-12-10 16:48:07 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Evolution.
If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 4 Matěj Cepl 2008-01-09 17:50:53 EST
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 5 Matěj Cepl 2008-02-11 09:27:31 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.